﻿# Cloudinary CDN support for Adaptive Images

Enable by invoking `AddCloudinary()` in your OWIN startup class, commonly `Startup.cs`:

```
public void ConfigureServices(IServiceCollection services)
{
    services.AddCms()
            .AddAdaptiveImages()
            .AddCloudinary(new CloudinarySettings // Enable Cloudinary for image optimization and CDN delivery
            {
                CloudName = "{your Cloudinary cloud name}",
                UrlPrefix = _webHostingEnvironment.IsDevelopment() ? "dev" : null // Optionally separate dev environment assets in Cloudinary
            });
}
```

Note that your Cloudinary account needs to be configured with the 
appropriate "Auto upload mapping" settings (click "Settings" and 
switch to the "Upload" tab).

For example, you could map upload folder "url-prefix-if-any/episerver" in Cloudinary to 
"http://your-publicly-accessible-hostname/AdaptiveImages/episerver/" (note the trailing slash) 
to enable images from the default "episerver" image provider.

Blog post covering Cloudinary configuration: https://tedgustaf.com/blog/2020/using-adaptive-images-for-episerver-with-cloudinary/

## Changelog

| Version  | Summary |
| ------------- | ------------- |
| 2.0.0.0 | .NET 5 / CMS 12 support |